org.apache.ignite.internal.managers.encryption

## Class ReencryptStateUtils

- java.lang.Object
- - org.apache.ignite.internal.managers.encryption.ReencryptStateUtils

    public class ReencryptStateUtils
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ReencryptStateUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `pageCount(long state)`
`static int` `pageIndex(long state)`
`static long` `state(int idx, int total)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReencryptStateUtils

    public ReencryptStateUtils()

### Method Detail

#### state

    public static long state(int idx,
                             int total)

Parameters:
  `idx` - Index of the last reencrypted page.
  `total` - Total pages to be reencrypted.
Returns:
  Reencryption status.

#### pageIndex

    public static int pageIndex(long state)

Parameters:
  `state` - Reencryption status.
Returns:
  Index of the last reencrypted page.

#### pageCount

    public static int pageCount(long state)

Parameters:
  `state` - Reencryption status.
Returns:
  Total pages to be reencrypted.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022